Get a product variant
GET https://{handle}.myshopline.com/admin/openapi/v20261201/products/variants/:variant_id.json
handle : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is open001.myshopline.com , the store handle is open001 .Get the product variant information based on the variant ID.
Path Parameters
- variant_id string requiredThe unique identifier for a variant.
Maximum length:64Example:18057039439794751459380282
Query Parameters
- fields stringSpecify the fields to be returned, with multiple fields separated by commas. For available fields, refer to the top-level child parameters under the
variantobject in the response.Example:id,title
Request Headers
- Content-Type string requiredThe field must be set to the fixed value
application/json; charset=utf-8. - Authorization string requiredThe access token for the API resource. Refer to App authorization to obtain the access token, and then pass the obtained token in the Bearer format.Example:
Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA
Status Codes
- 200
- 401
- 429
For the complete list of codes and messages, see Http status code.
Response Headers
traceId
A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.
Response Body
variantobject
Variant information.price stringThe selling price of the variant. The value is rounded to two decimal places.Example:90.22required_shipping booleanIndicates whether the variant is required to be shipped.true: Shipping is required.false: Shipping is not required.
title stringThe title of the variant, assembled from the option value of the variant.Example:red · xlbarcode stringThe barcode of the variant.Example:T00000001weight_unit stringThe unit of weight for the variant. Valid values are:g: gramkg: kilogramlb: poundoz: ouncezh_kg: kilogram
compare_at_price stringThe original price of the variant. The value is rounded to two decimal places.Example:129.99imageobject
The image of the variant.src stringThe link to the variant image, represented as a URL.Example:https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.pngalt stringThe alternative textual description of the variant image, usually a word or phrase with the characteristics or content of the image.Example:This is an image alt.id stringThe unique identifier for the variant image.Example:5785060242207917075inventory_policy stringIndicates whether the variant is allowed to be oversold.deny: Does not allow overselling.continue: Allow overselling.
inventory_quantity integerThe total inventory quantity at all storage locations.Example:99inventory_tracker booleanIndicates whether the inventory tracking is enabled.true: Inventory tracking is enabled.false: Inventory tracking is not enabled.
option3 stringInformation of the third option of the variant.Example:cottonproduct_id stringThe unique identifier for the product corresponding to the variant.Example:16057039432335097907370282id stringThe unique identifier for the variant.Example:18057039439794751459380282inventory_item_id stringThe unique identifier for the inventory item.Example:5785060242375689228option1 stringInformation of the first option of the variant.Example:redoption2 stringInformation of the second option of the variant.Example:xloption4 stringInformation of the fourth option of the variant.Example:shortsku stringThe product SKU. It is distinct fromvariant.idreturned by SHOPLINE.Example:S0000000001taxable booleanIndicates whether the variant is subject to tax.true: Tax is required.false: Tax is not required.
weight stringThe weight of the variant. The value is rounded up if it exceeds two decimal places.Example:0.23option5 stringInformation of the fifth option of the variant.Example:casual
API Explorer
Debugger
Examples
Was this article helpful to you?